LoginService (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.security

## Interface LoginService

- All Known Implementing Classes:
    DataSourceLoginService, HashLoginService, JAASLoginService, JDBCLoginService, MappedLoginService, SpnegoLoginService

      public interface LoginService

  Login Service Interface.

  The Login service provides an abstract mechanism for an `Authenticator` to check credentials and to create a `UserIdentity` using the set `IdentityService`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdentityService` | `getIdentityService()` Get the IdentityService associated with this Login Service.
    `String` | `getName()`
    `UserIdentity` | `login(String username, Object credentials)` Login a user.
    `void` | `logout(UserIdentity user)`
    `void` | `setIdentityService(IdentityService service)` Set the IdentityService associated with this Login Service.
    `boolean` | `validate(UserIdentity user)` Validate a user identity.

- - ### Method Detail

    - #### getName

          String getName()

      Returns:
        Get the name of the login service (aka Realm name)

    - #### login

          UserIdentity login(String username,
                           Object credentials)

      Login a user.
      Parameters:
        `username` - The user name
        `credentials` - The users credentials
      Returns:
        A UserIdentity if the credentials matched, otherwise null

    - #### validate

          boolean validate(UserIdentity user)

      Validate a user identity. Validate that a UserIdentity previously created by a call to `login(String, Object)` is still valid.
      Parameters:
        `user` - The user to validate
      Returns:
        true if authentication has not been revoked for the user.

    - #### getIdentityService

          IdentityService getIdentityService()

      Get the IdentityService associated with this Login Service.
      Returns:
        the IdentityService associated with this Login Service.

    - #### setIdentityService

          void setIdentityService(IdentityService service)

      Set the IdentityService associated with this Login Service.
      Parameters:
        `service` - the IdentityService associated with this Login Service.

    - #### logout

          void logout(UserIdentity user)

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.